Bug 28334 - Virtualbox package is empty on i586
Summary: Virtualbox package is empty on i586
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: i586 Linux
Priority: Normal major
Target Milestone: Mageia 8
Assignee: Sysadmin Team
QA Contact:
URL:
Whiteboard: MGA7TOO MGA8TOO
Keywords: IN_ERRATA8, IN_RELEASENOTES8
Depends on:
Blocks:
 
Reported: 2021-02-09 19:39 CET by Dan Fandrich
Modified: 2021-02-10 18:35 CET (History)
2 users (show)

See Also:
Source RPM: virtualbox-6.1.18-1.mga7.src.rpm
CVE:
Status comment:


Attachments

Description Dan Fandrich 2021-02-09 19:39:39 CET
Description of problem:

The last two releases of the virtualbox package on i586 have contained no files:

$ rpm -qilpv /tmp/virtualbox-6.1.18-1.mga7.i586.rpm 
Name        : virtualbox
Version     : 6.1.18
Release     : 1.mga7
Architecture: i586
Install Date: (not installed)
Group       : Emulators
Size        : 0
License     : GPLv2
Signature   : RSA/SHA256, Wed 20 Jan 2021 02:36:07 PM PST, Key ID b742fa8b80420f66
Source RPM  : virtualbox-6.1.18-1.mga7.src.rpm
Build Date  : Wed 20 Jan 2021 02:17:21 PM PST
Build Host  : localhost
Relocations : (not relocatable)
Packager    : tmb <tmb>
Vendor      : Mageia.Org
URL         : https://www.virtualbox.org/
Summary     : A general-purpose full virtualizer for x86 hardware
Description :
VirtualBox is a general-purpose full virtualizer for x86 hardware.
(contains no files)

Looking at the sizes of the packages in the updates repository, starting with virtualbox-6.1.16-4 the file size is 99.978% smaller than before:

[ ]         virtualbox-6.0.10-1...> 2019-07-20 15:07  44M
[ ]         virtualbox-6.0.12-1...> 2019-09-27 18:51  44M
[ ]         virtualbox-6.0.14-1...> 2019-10-16 07:40  44M
[ ]         virtualbox-6.0.14-2...> 2019-12-02 04:19  44M
[ ]         virtualbox-6.0.16-1...> 2020-01-15 14:26  44M
[ ]         virtualbox-6.0.16-2...> 2020-02-15 06:58  44M
[ ]         virtualbox-6.0.18-1...> 2020-02-22 15:48  44M
[ ]         virtualbox-6.0.20-1...> 2020-04-17 04:15  44M
[ ]         virtualbox-6.0.24-1...> 2020-07-20 04:58  44M
[ ]         virtualbox-6.1.16-4...> 2020-12-16 19:50 9.4K
[ ]         virtualbox-6.1.18-1...> 2021-01-20 17:36 9.4K

I thought that perhaps the package was turned into a virtual package, but no such dependency was added. Also, the x86_64 package size has not gone down in size. Also, trying to install the package results in an error:

Failed to open 'virtualbox.conf': No such file or directory

presumably because the virtualbox.conf file is not available at post-install time (since no file was installed by the package).

Downgrading to 6.0.24 is not an option because of incompatibilities between kernel 5.10 and dkms-virtualbox 6.0.24.

Another bug closely related to this one is that there is no matching dkms-virtualbox-6.1.18 package available at all on i586.

Version-Release number of selected component (if applicable):
6.1.18-1.mga7

How reproducible:
100%

Steps to Reproduce:
1. "urpmi virtualbox"
2. "/usr/bin/VirtualBox"
3. Note the error "/usr/bin/VirtualBox: No such file or directory"
Comment 1 Thomas Backlund 2021-02-09 19:47:43 CET
yes, 
virtualbox host packages are 64bit-only beginning with  6.1 series

only client side is available as 32bit packages.

so the package was left as an  "empty package"  to remove unsupported bits.

but I guess i missed some bits on cleanup

Version: 7 => Cauldron
Whiteboard: (none) => MGA7TOO

Comment 2 Dan Fandrich 2021-02-09 20:01:32 CET
It would have been nice to have something in the changelog about that. Is it possible to back-port the kernel 5.10 fixes to virtualbox-6.0.24? Breaking virtualbox on in a stable release is pretty extreme.
Comment 3 Thomas Backlund 2021-02-09 20:18:42 CET
it was supposed to be noted in the advisory that went out:
https://bugs.mageia.org/show_bug.cgi?id=27479#c2


Note:
- 6.0 branch is EOL upstream since last summer (meaning summer 2020).
- as of 6.1 series, virtualbox only supports x86_64 hosts, so ...

Advisory will follow... we also need to add info about 64bit only support



but... seems we missed that part :(
http://advisories.mageia.org/MGASA-2020-0466.html



the trouble is not only all bits to support 5.10 series kernels,
it's also all security updates they contain...


so no, it was not nice to break it, as I usually try to avoid feature breakages in a stable release... 
but the choice had to be done ... kernel & security fixes vs 32bit support...


And as for backporting the kernel bits at this point is unfortunately nothing  I have time, energy or any real motivation to do...

and since mga7 is winding down towards eol as mga8 is about to be released...
not a nice answer, but that's where we are now...
Comment 4 Aurelien Oudelet 2021-02-10 17:11:29 CET
This is sad.
32 bits stuff vanishes...

Ping Morgan for an other release note 8:


32 bits Host is not supported in Virtualbox anymore:

As 6.1 series, virtualbox only supports x86_64 hosts: existing 32bits hosts should not upgrade to later version, but this is prone to security vulnerabilities, inconsistencies and un-fixed bugs.

So, we should remove existing virtualbox 6.1 i586 rpm to prevent 32bits M7 users to upgrade their host system.

Assigning to sysadmins.


For the missing lines in advisory, my mistake, sorry.

CC: (none) => fri, ouaurelien
Keywords: (none) => FOR_RELEASENOTES8

Aurelien Oudelet 2021-02-10 17:12:03 CET

Assignee: bugsquad => sysadmin-bugs
Target Milestone: --- => Mageia 8
Whiteboard: MGA7TOO => MGA7TOO MGA8TOO

Comment 5 Morgan Leijström 2021-02-10 18:08:48 CET
Informing:
https://wiki.mageia.org/en/Mageia_8_Release_Notes#VirtualBox

For erroneous removal:
https://wiki.mageia.org/en/Mageia_8_Errata#VirtualBox
(delete/update when bug is fixed AND new ISO out)


But I wonder:


How well do the 32 bit VirtualBox work on Mageia 7 with kernel 5.10.x?
- Should user stay on elder kernel?

How well do the 32 bit VirtualBox work after upgrading Mageia to 8?
- And if so keep an old kernel?

Keywords: FOR_RELEASENOTES8 => IN_ERRATA8, IN_RELEASENOTES8

Comment 6 Thomas Backlund 2021-02-10 18:12:15 CET
(In reply to Aurelien Oudelet from comment #4)
> This is sad.
> 32 bits stuff vanishes...
> 

> So, we should remove existing virtualbox 6.1 i586 rpm to prevent 32bits M7
> users to upgrade their host system.
> 

No.
the virtualbox related packages in i586 are the ones that are meant to be there.
Comment 7 Thomas Backlund 2021-02-10 18:14:29 CET
and it's not an "unfortunate removal"... 

it's intended as there is no support what so ever for it, and it does not work with 5.10 series kernels
Comment 8 Morgan Leijström 2021-02-10 18:35:23 CET
Thanks for the quick albeit sad correction.
Errata and Release notes are now corrected.

Note You need to log in before you can comment on or make changes to this bug.